﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Benday.EfCore.Api;

namespace Benday.EfCore.WebUi.Controllers
{
    public class HomeController : Controller
    {
        private MyDbContext _Context;

        public HomeController(MyDbContext context)
        {
            if (context == null)
                throw new ArgumentNullException(nameof(context), $"{nameof(context)} is null.");

            _Context = context;
        }

        public IActionResult Index()
        {
            return View(_Context.Persons.ToList());
        }

        public IActionResult Create()
        {
            var temp = new Person();

            var ticks = DateTime.Now.Ticks.ToString();

            temp.FirstName = "fn_" + ticks;
            temp.LastName = "ln_" + ticks;
            temp.Status = "status_" + ticks;
            
            _Context.Persons.Add(temp);
            _Context.SaveChanges();

            return RedirectToAction("Index");
        }

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View();
        }
    }
}
